Page MenuHomePhabricator

Lift block on creating editor accounts for wiki edit-a-thon on 2018-10-24
Closed, ResolvedPublic

Description

Hello,

I am a librarian with the University of North Carolina at Charlotte and we will be holding a Wikipedia Edit-a-thon on Wednesday, October 24th. I have advised participants to create editor accounts before the 24th, however I am concerned Wikipedia will block the IP range of the library if they detect so many new accounts being created (I've heard this happening at other edit-a-thon events). Would Wikipedia be able to lift any block placed on our IP range on 10/24/18 from 9-4p eastern? We are expecting anywhere from 25-75 students for this event.

University IT gave me 152.15.0.0/16 as the IP range for our library. Another library employee sent to me a range of: 152.15.112.0 - 152.15.112.255
CIDR: 152.15.112.0/24.

Please let me know if this might be possible. Thank you!

Natalie Ornat (nornat@uncc.edu)

Event Timeline

Natornat created this task.Oct 15 2018, 3:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 15 2018, 3:40 PM
Urbanecm claimed this task.Oct 15 2018, 4:07 PM
Urbanecm added a subscriber: Urbanecm.

Long explanation of limits that can affect edit-a-thon

There is limit for number of accounts that can be created from one IP address in one day, which is set to 6 (it is commonly called the six account limit). If less than 6 students will come without account, you should be fine without any need for an exception. If there will be more than 6 accountless students, then there are two ways.

  • Lift the limit to let's say 100 for the October 24th for any user inside the library's network. You can request this here in Phabricator, as you did. This will allow students to sign-up normally, with no visible changes.
  • Request account creator flag on projects you'll be working on. This will allow you to create more than 6 accounts within 24 hours, but those would be need to created while you're logged in
    • Workflow:
    • You log in with your account that has account creator flag
    • You enter Special:CreateAccount into the search field
    • Student registers normally (fill something like "circumventing six account limit" into the field for reason)

The former is recommended for events where you expect accountless students, while the latter is recommended for events where you expect students with an account.

But this is only one part of the limits. In addition to registration rate limit, there is also an edit limit for newbies, set to 8 edits per IP address/minute. This rate limit is not affected by anything I mentoined as-of now, but there's a task to change it (T204583). If you get catched by this limit, you have just wait a few of seconds, then try again.

I'm going to setup a throttle rule, which should allow you to register up to 100 accounts from the library's network. This rule will be valid on October 24th 09:00-16:00 for all users from 152.15.0.0/16.

TL;DR

Your students will be able to register up to 100 accounts from the library's network. This rule will be valid on October 24th 09:00-16:00 for all users from 152.15.0.0/16.

Best regards,
Martin Urbanec

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptOct 15 2018, 4:07 PM

(per the linked page, I assume you'll be working on the English Wikipedia; the rule will be invalid for any other Wikipedia than the English one)

Urbanecm triaged this task as Normal priority.Oct 15 2018, 4:12 PM

Change 467409 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Add throttle rule for editathon at University of North Carolina at Charlotte

https://gerrit.wikimedia.org/r/467409

Aklapper renamed this task from Lift block on creating editor accounts for wiki edit-a-thon to Lift block on creating editor accounts for wiki edit-a-thon on 2018-11-24.Oct 15 2018, 4:44 PM
Aklapper renamed this task from Lift block on creating editor accounts for wiki edit-a-thon on 2018-11-24 to Lift block on creating editor accounts for wiki edit-a-thon on 2018-10-24.

Thank you everyone for your help with this! It is greatly appreciated.

Best,
Natalie

Change 467409 merged by jenkins-bot:
[operations/mediawiki-config@master] Add throttle rule for editathon at University of North Carolina at Charlotte

https://gerrit.wikimedia.org/r/467409

Mentioned in SAL (#wikimedia-operations) [2018-10-16T11:24:38Z] <zfilipin@deploy1001> Synchronized wmf-config/throttle.php: SWAT: [[gerrit:467409|Add throttle rule for editathon at University of North Carolina at Charlotte (T207043)]] (duration: 00m 49s)

Urbanecm closed this task as Resolved.Oct 16 2018, 12:57 PM

I just enabled the rule for the day of October 24th. In case of unexpected problems that might occure during your event, please go to webchat.freenode.net, connect to #wikimedia-tech channel and complain.

Thank you for your work with organizing the edit-a-thon.

Best regards,

Martin Urbanec